**User Data Project**
```
Active virutal env using this steps

1. cd venv/Scripts/Active 
2. create a user in sql that role_id is 0    0 -> for admin and 1 -> for user
4. run python manage.py runserver
```

```
What Done and What not Done
`User Ip detected but using Ip address can not be get in this project`
`Logic For Blocking User if incorrect attempts`
```

**I am search about it and try but it not work**

```  using signals```
https://stackoverflow.com/questions/37618473/how-can-i-log-both-successful-and-failed-login-and-logout-attempts-in-django


`django built in functionalty`
https://stackoverflow.com/questions/5179635/django-account-lockout